// Код для экспорта XML
frappe.ui.form.on('Export declaration', {
    refresh: function(frm) {
            frm.add_custom_button(__('Export XML'), function() {
                frappe.call({
                    method: 'taxes_az.taxes_az.doctype.xml_mapping_tool.xml_mapping_tool.generate_xml',
                    args: {
                        mapping_tool: 'Export declaration', // Замените на имя вашего документа XML Mapping Tool
                        doctype: 'Export declaration', // Замените на имя DocType
                        docname: frm.docname
                    },
                    callback: function(r) {
                        if (r.message) {
                            // Создаем временный элемент для скачивания
                            var element = document.createElement('a');
                            element.setAttribute('href', 'data:text/xml;charset=utf-8,' + encodeURIComponent(r.message));
                            element.setAttribute('download', frm.docname + '.xml');
                            element.style.display = 'none';
                            document.body.appendChild(element);
                            element.click();
                            document.body.removeChild(element);
                            
                            frappe.show_alert({
                                message: __('XML file generated and downloaded'),
                                indicator: 'green'
                            });
                        }
                    }
                });
            }, __('Actions'));
        }
    }
);